org.eclipse.ease.modules.unittest.components

## Class TestSuite

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestEntity
  - - org.eclipse.ease.modules.unittest.components.TestComposite
    - - org.eclipse.ease.modules.unittest.components.TestSuite

All Implemented Interfaces:
  IExecutionListener, ITestListener

    public class TestSuite
    extends TestComposite

### Field Summary

### Fields inherited from class org.eclipse.ease.modules.unittest.components.TestComposite

`CURRENT_TESTCOMPOSITE`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`TestSuite(IFile file)`
`TestSuite(TestSuiteModel model)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IScriptEngine` `createScriptEngine()`
`int` `getActiveTestCount()`
`List<TestFile>` `getActiveTestFiles()`
`Collection<TestFile>` `getChildren()`
`OutputStream` `getErrorStream()`
`static String` `getExceptionMessage(Throwable exception)` Get a simplified exception message.
`Object` `getFile()`
`InputStream` `getInputStream()`
`TestSuiteModel` `getModel()`
`OutputStream` `getOutputStream()`
`void` `notify(Object testObject, TestStatus status)`
`void` `reset()`
`void` `run()`
`void` `run(ITestSetFilter filter)`
`void` `setDebugOptions(ILaunch launch)`
`void` `setErrorStream(InputStream inputStream)`
`void` `setErrorStream(OutputStream errorStream)`
`void` `setOutputStream(OutputStream outputStream)`
`void` `terminate()`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestComposite

`addTest, addTestResult, addTestResult, endTest, getCurrentTest, getStatus, getTests, notify`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestEntity

`addTestListener, getExecutionTime, getParent, getStartTime, removeTestListener, setStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestSuite

    public TestSuite(TestSuiteModel model)

#### TestSuite

    public TestSuite(IFile file)
              throws IOException,
                     CoreException

Throws:
  `IOException`
  `CoreException`

### Method Detail

#### getExceptionMessage

    public static String getExceptionMessage(Throwable exception)

Get a simplified exception message.

Parameters:
  `exception` - exception to parse
Returns:
  simplified message.

#### notify

    public void notify(Object testObject,
                       TestStatus status)

Specified by:
  `notify` in interface `ITestListener`
Overrides:
  `notify` in class `TestComposite`

#### getChildren

    public Collection<TestFile> getChildren()

Specified by:
  `getChildren` in class `TestComposite`

#### run

    public void run()

#### run

    public void run(ITestSetFilter filter)

#### terminate

    public void terminate()

#### getModel

    public TestSuiteModel getModel()

#### getActiveTestCount

    public int getActiveTestCount()

#### setOutputStream

    public void setOutputStream(OutputStream outputStream)

#### getOutputStream

    public OutputStream getOutputStream()

#### getErrorStream

    public OutputStream getErrorStream()

#### setErrorStream

    public void setErrorStream(InputStream inputStream)

#### getInputStream

    public InputStream getInputStream()

#### getActiveTestFiles

    public List<TestFile> getActiveTestFiles()

#### setErrorStream

    public void setErrorStream(OutputStream errorStream)

#### createScriptEngine

    public IScriptEngine createScriptEngine()

#### reset

    public void reset()

Overrides:
  `reset` in class `TestComposite`

#### setDebugOptions

    public void setDebugOptions(ILaunch launch)

#### getFile

    public Object getFile()

Specified by:
  `getFile` in class `TestComposite`